tigase.sys

## Class TigaseRuntime

- java.lang.Object
- - tigase.sys.TigaseRuntime

- Direct Known Subclasses:
    MonitorRuntime

      public abstract class TigaseRuntime
      extends Object

  Created: Feb 19, 2009 12:15:02 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static long` | `HOUR` Field description
    `protected static long` | `MINUTE` Field description
    `protected static long` | `SECOND` Field description

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TigaseRuntime()` Constructs ...

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addCPULoadListener(CPULoadListener cpuListener)` Method description
    `abstract void` | `addMemoryChangeListener(MemoryChangeListener memListener)` Method description
    `abstract void` | `addOnlineJidsReporter(OnlineJidsReporter onlineReporter)` Method description
    `abstract void` | `addShutdownHook(ShutdownHook hook)` Method description
    `abstract tigase.xmpp.JID[]` | `getConnectionIdsForJid(tigase.xmpp.JID jid)` Method description
    `int` | `getCPUsNumber()` Method description
    `ResourceState` | `getCPUState()` Method description
    `float` | `getCPUUsage()` Method description
    `long` | `getDirectMemUsed()` Method description
    `long` | `getHeapMemMax()` We try to return OLD memory pool size as this is what is the most interesting to us.
    `float` | `getHeapMemUsage()` Method description
    `long` | `getHeapMemUsed()` We try to return OLD memory pool size as this is what is the most interesting to us.
    `double` | `getLoadAverage()` Method description
    `ResourceState` | `getMemoryState()` Method description
    `long` | `getNonHeapMemMax()` Method description
    `float` | `getNonHeapMemUsage()` Method description
    `long` | `getNonHeapMemUsed()` Method description
    `long` | `getProcessCPUTime()` Method description
    `int` | `getThreadsNumber()` Method description
    `static TigaseRuntime` | `getTigaseRuntime()` Method description
    `long` | `getUptime()` Method description
    `String` | `getUptimeString()` Method description
    `abstract boolean` | `hasCompleteJidsInfo()` Method description
    `abstract boolean` | `isJidOnline(tigase.xmpp.JID jid)` Method description
    `abstract boolean` | `isJidOnlineLocally(tigase.xmpp.BareJID jid)`
    `abstract boolean` | `isJidOnlineLocally(tigase.xmpp.JID jid)`
    `void` | `shutdownTigase(String[] msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECOND

          protected static final long SECOND

      Field description
      See Also:
        Constant Field Values

    - #### MINUTE

          protected static final long MINUTE

      Field description
      See Also:
        Constant Field Values

    - #### HOUR

          protected static final long HOUR

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TigaseRuntime

          protected TigaseRuntime()

      Constructs ...

  - ### Method Detail

    - #### addCPULoadListener

          public abstract void addCPULoadListener(CPULoadListener cpuListener)

      Method description
      Parameters:
        `cpuListener` - is a `CPULoadListener`

    - #### addMemoryChangeListener

          public abstract void addMemoryChangeListener(MemoryChangeListener memListener)

      Method description
      Parameters:
        `memListener` - is a `MemoryChangeListener`

    - #### addOnlineJidsReporter

          public abstract void addOnlineJidsReporter(OnlineJidsReporter onlineReporter)

      Method description
      Parameters:
        `onlineReporter` - is a `OnlineJidsReporter`

    - #### addShutdownHook

          public abstract void addShutdownHook(ShutdownHook hook)

      Method description
      Parameters:
        `hook` - is a `ShutdownHook`

    - #### getConnectionIdsForJid

          public abstract tigase.xmpp.JID[] getConnectionIdsForJid(tigase.xmpp.JID jid)

      Method description
      Parameters:
        `jid` - is a `JID`
      Returns:
        a value of `JID[]`

    - #### getCPUsNumber

          public int getCPUsNumber()

      Method description
      Returns:
        a value of `int`

    - #### getCPUState

          public ResourceState getCPUState()

      Method description
      Returns:
        a value of `ResourceState`

    - #### getCPUUsage

          public float getCPUUsage()

      Method description
      Returns:
        a value of `float`

    - #### getDirectMemUsed

          public long getDirectMemUsed()

      Method description
      Returns:
        a value of `long`

    - #### getHeapMemMax

          public long getHeapMemMax()

      We try to return OLD memory pool size as this is what is the most interesting to us. If this is not possible then we return total Heap size.
      Returns:
        a value of `long`

    - #### getHeapMemUsage

          public float getHeapMemUsage()

      Method description
      Returns:
        a value of `float`

    - #### getHeapMemUsed

          public long getHeapMemUsed()

      We try to return OLD memory pool size as this is what is the most interesting to us. If this is not possible then we return total Heap used.
      Returns:
        a value of `long`

    - #### getLoadAverage

          public double getLoadAverage()

      Method description
      Returns:
        a value of `double`

    - #### getMemoryState

          public ResourceState getMemoryState()

      Method description
      Returns:
        a value of `ResourceState`

    - #### getNonHeapMemMax

          public long getNonHeapMemMax()

      Method description
      Returns:
        a value of `long`

    - #### getNonHeapMemUsage

          public float getNonHeapMemUsage()

      Method description
      Returns:
        a value of `float`

    - #### getNonHeapMemUsed

          public long getNonHeapMemUsed()

      Method description
      Returns:
        a value of `long`

    - #### getProcessCPUTime

          public long getProcessCPUTime()

      Method description
      Returns:
        a value of `long`

    - #### getThreadsNumber

          public int getThreadsNumber()

      Method description
      Returns:
        a value of `int`

    - #### getTigaseRuntime

          public static TigaseRuntime getTigaseRuntime()

      Method description
      Returns:
        a value of `TigaseRuntime`

    - #### getUptime

          public long getUptime()

      Method description
      Returns:
        a value of `long`

    - #### getUptimeString

          public String getUptimeString()

      Method description
      Returns:
        a value of `String`

    - #### hasCompleteJidsInfo

          public abstract boolean hasCompleteJidsInfo()

      Method description
      Returns:
        a value of `boolean`

    - #### isJidOnline

          public abstract boolean isJidOnline(tigase.xmpp.JID jid)

      Method description
      Parameters:
        `jid` - is a `JID`
      Returns:
        a value of `boolean`

    - #### isJidOnlineLocally

          public abstract boolean isJidOnlineLocally(tigase.xmpp.BareJID jid)

    - #### isJidOnlineLocally

          public abstract boolean isJidOnlineLocally(tigase.xmpp.JID jid)

    - #### shutdownTigase

          public void shutdownTigase(String[] msg)

Copyright © 2016 "Tigase, Inc.". All rights reserved.